﻿using LibXom.Exceptions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LibXom.Data
{
    public class XomString : XomFileComponent
    {
        private int offset;
        private string value;

        public override int Id
        {
            get
            {
                return this.fileBelongs.calculateIdForXomFileComponent(this.uuid, fileBelongs.XomStrings);
            }
        }
        public int Offset
        {
            get
            {
                return offset;
            }
        }
        public string Value
        {
            get
            {
                return value;
            }
        }
        internal XomString(XomFile fromFile, int offset, string value)
        {
            this.fileBelongs = fromFile;
            this.offset = offset;
            this.value = value;
        }
    }
}
