﻿using LibXom;
using LibXom.Blocks;
using LibXom.Data;
using System.Security.Cryptography;
using System.Text;

namespace Worms4Editor
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int id = 0;
            XomFile xfile = XomReader.ReadXomFile(@"Original.xom");
            //XomFile ps2file = XomReader.ReadXomFile(@"ps2.xom");

            XomType type = xfile.GetTypeByName("StoredStatsCollective");
            XomContainer container = type.Containers.First();
            File.WriteAllBytes("StoredStatsCollective.bin", container.DecompressToBytes());

            for(int i = 0; i < xfile.XomStrings.Length; i++)
            {
                XomString str = xfile.XomStrings[i];
                Console.WriteLine(str.Id.ToString("X") + ": " + str.Value);
            }
        }
    }
}